Getting Rawr-Endezvous to work with recent Growl framework versions

20050618 Edit: Initially when I wrote this, I were referring to Rawr-Endezvous v0.6b3. In the latest version (0.6b4) the problem I were refering to in this note got fixed. Thank you very much, Jerome. I am impressed that my voice was heard. –stany

I’ve cleanly installed Tiger on my iBook, and then installed latest Growl framework. Sadly rawr-endezvous stopped working. As Adium, etc was happily doing Growl notifications, I figured that the problem is in Rawr-Enedzvous, not in Growl.

It seems that Jeremy Knope basically disappeared off the face of the universe, and didn’t leave forwarding address, so I did a bit of digging, and noticed the following:

stany@gilva:/Applications/extras/Rawr-endezvous.app/Contents/MacOS[06:08 PM]$ otool -L Rawr-endezvous
Rawr-endezvous:
        /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa (compatibility version 1.0.0, current version 8.0.0)
        /usr/lib/libobjc.A.dylib (compatibility version 1.0.0, current version 218.0.0) 
        /Users/jerome/Library/Frameworks/GrowlAppBridge.framework/Versions/A/GrowlAppBridge (compatibility version 1.0.0, current version 1.0.0)
        /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 63.0.0)

Next I checked if GrowlAppBridge existed on my system, and noticed that it is now part of Growl.framework, and not part of GrowlAppBridge.framework:

stany@gilva:/Applications/extras/Rawr-endezvous.app/Contents/MacOS[06:10 PM]$ locate GrowlAppBridge
/Library/Frameworks/Growl.framework/GrowlAppBridge
/Library/Frameworks/Growl.framework/Versions/A/GrowlAppBridge
/Library/Frameworks/Growl.framework/Versions/A/Headers/GrowlAppBridge-Carbon.h
/Library/Frameworks/Growl.framework/Versions/A/Headers/GrowlAppBridge.h

So as an interim fix the following works:

stany@gilva:/Library/Frameworks[06:10 PM]$ mkdir -p GrowlAppBridge.framework/Versions/A/
stany@gilva:/Library/Frameworks[06:11 PM]$ cd GrowlAppBridge.framework/Versions/A/
stany@gilva:/Library/Frameworks/GrowlAppBridge.framework/Versions/A[06:11 PM]$ ln -s ../../../Growl.framework/GrowlAppBridge GrowlAppBridge

followed by restarting rawr-endezvous

3 thoughts on “Getting Rawr-Endezvous to work with recent Growl framework versions

  1. I tried removing the PRE tags, so the code listing would wrap.. but it looks worse 😉

    Suggestions welcome!

    Dave

  2. I’M ALIVE!!!!! Yeah so I updated Rawr-endezvous finally after FOREVER. Sorry about that… Anyway, i believe it should work with recent Growls now. 10.3/10.4 only right now because I don’t have the 10.2 framework installed and not sure if it’ll work.
    But check it out, let me know if there’s any problems, oh and don’t use the service browser, it has crashes.

    Check it out at my new blog…
    http://www.macsaresexy.com/?p=12

Comments are closed.